org.apache.maven.scm.provider.hg.command.remove

## Class HgRemoveConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.hg.command.HgConsumer
    - - org.apache.maven.scm.provider.hg.command.remove.HgRemoveConsumer

- All Implemented Interfaces:
    org.codehaus.plexus.util.cli.StreamConsumer

      public class HgRemoveConsumer
      extends HgConsumer

  Version:
    $Id: HgRemoveConsumer.java 691810 2008-09-03 22:38:28Z vsiveton $
  Author:
    thurner rupert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HgRemoveConsumer(ScmLogger logger, File workingDir)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doConsume(ScmFileStatus status, String trimmedLine)`
    `List` | `getRemovedFiles()`

    - ### Methods inherited from class org.apache.maven.scm.provider.hg.command.HgConsumer

      `consumeLine, getStdErr`

    - ### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

      `getLogger, parseDate, parseDate, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HgRemoveConsumer

          public HgRemoveConsumer(ScmLogger logger,
                          File workingDir)

  - ### Method Detail

    - #### doConsume

          public void doConsume(ScmFileStatus status,
                       String trimmedLine)

      Overrides:
        `doConsume` in class `HgConsumer`

    - #### getRemovedFiles

          public List getRemovedFiles()

Copyright © 2003–2015. All rights reserved.